function Billing2Shipping( chk ) {
	if (!chk.checked) return;
	$("#shipping_name").val( $("#billing_name").val() );FrontendTextboxNonEmptyChanged( "shipping_name" );
	$("#shipping_zip").val( $("#billing_zip").val() );FrontendTextboxNonEmptyChanged( "shipping_zip" );
	$("#shipping_city").val( $("#billing_city").val() );FrontendTextboxNonEmptyChanged( "shipping_city" );
	$("#shipping_address").val( $("#billing_address").val() );FrontendTextboxNonEmptyChanged( "shipping_address" );
	$("#shipping_country").val( $("#billing_country").val() );FrontendTextboxNonEmptyChanged( "shipping_country" );
}

function CheckBillingShippingPane( oF ) {
	if ($("#billing_name").val()=="") {
		alert( aJSLangDefs.Empty_billing_name );
		$("#billing_name").focus();
		return false;
	}
	
	if ($("#billing_zip").val()=="") {
		alert( aJSLangDefs.Empty_billing_zipcode );
		$("#billing_zip").focus();
		return false;
	}
	
	if ($("#billing_city").val()=="") {
		alert( aJSLangDefs.Empty_billing_city );
		$("#billing_city").focus();
		return false;
	}
	
	if ($("#billing_address").val()=="") {
		alert( aJSLangDefs.Empty_billing_address );
		$("#billing_address").focus();
		return false;
	}
	
	if ($("#billing_city").val()=="") {
		alert( aJSLangDefs.Empty_billing_city );
		$("#billing_city").focus();
		return false;
	}
	
	if ($("#billing_country").val()=="") {
		alert( aJSLangDefs.Empty_billing_country );
		$("#billing_country").focus();
		return false;
	}
	
	if ($("#shipping_name").val()=="") {
		alert( aJSLangDefs.Empty_shipping_name );
		$("#shipping_name").focus();
		return false;
	}
	
	if ($("#shipping_zip").val()=="") {
		alert( aJSLangDefs.Empty_shipping_zipcode );
		$("#shipping_zip").focus();
		return false;
	}
	
	if ($("#shipping_city").val()=="") {
		alert( aJSLangDefs.Empty_shipping_city );
		$("#shipping_city").focus();
		return false;
	}
	
	if ($("#shipping_address").val()=="") {
		alert( aJSLangDefs.Empty_shipping_address );
		$("#shipping_address").focus();
		return false;
	}
	
	if ($("#shipping_city").val()=="") {
		alert( aJSLangDefs.Empty_shipping_city );
		$("#shipping_city").focus();
		return false;
	}
	
	if ($("#shipping_country").val()=="") {
		alert( aJSLangDefs.Empty_shipping_country );
		$("#shipping_country").focus();
		return false;
	}
	ClearFormDirty( oF );
	return true;
}
